<p class="font-italic">*Sorted by updated time</p>
<table class="table table-hover">
    <div *ngIf="service.list && service.list.length > 0; then thenBlock else elseBlock"></div>
    <ng-template #thenBlock>
        <tr *ngFor="let note of service.list">
            <td (click)="editNote(note)" style="cursor: pointer">
                <span class=" d-inline-block text-truncate" style="max-width: 250px;" [ngClass]="{'editing-note': selectedNote && note.id == selectedNote.id }">{{(note.title) ? note.title : "*No Title"}}</span>
                <br>
                <span style="font-size: x-small">created: {{note.created|date:'medium'}}</span>
                <br>
                <span style="font-size: x-small">updated: {{note.updated|date:'medium'}}</span>
            </td>
            <td>
                <button class="btn btn-outline-danger btn-sm" (click)="deleteNote(note.id)">x</button>
            </td>
        </tr>
    </ng-template>
    <ng-template #elseBlock>
        <tr>
            <td colspan="2">No any note!</td>
        </tr>
    </ng-template>


</table>
